# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%global module_version 0.9932

Name:		perl-version
Epoch:		8
Version:	0.99.32
Release:	1.%{__distinit}%{__distvers}
Summary:	Perl extension for Version Objects
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/version
Source0:	https://cpan.metacpan.org/authors/id/L/LE/LEONT/version-%{module_version}.tar.gz
# ============= Module Build ====================
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.17
# ============= Module Runtime ==================
BuildRequires:	perl(B)
BuildRequires:	perl(Carp)
BuildRequires:	perl(XSLoader)
# ============= Test Suite ======================
BuildRequires:	perl(base)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(constant)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Temp) >= 0.13
BuildRequires:	perl(IO::Handle)
%if 0%{?fedora} > 38 || 0%{?rhel} > 9
BuildRequires:	perl(I18N::Langinfo)
%endif
BuildRequires:	perl(lib)
BuildRequires:	perl(locale)
BuildRequires:	perl(Module::CoreList) >= 2.76
BuildRequires:	perl(overload)
BuildRequires:	perl(POSIX)
BuildRequires:	perl(Test::Harness)
BuildRequires:	perl(Test::More) >= 0.45
BuildRequires:	perl(warnings::register)
# ============= Optional Tests ==================
BuildRequires:	perl(Test::Taint)
# ============= Module Dependencies =============
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(B)
Requires:	perl(Carp)
Requires:	perl(XSLoader)

# Don't "provide" private Perl libs
%{?perl_default_filter}

# charstar, version::vpp and version::vxs are private modules (see bug #633775)
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(charstar\\)
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(version::vpp\\)
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(version::vxs\\)

%description
Version objects were added to Perl in 5.10. This module implements version
objects for older version of Perl and provides the version object API for
all versions of Perl. All previous releases before 0.74 are deprecated and
should not be used due to incompatible API changes. Version 0.77 introduces
the new 'parse' and 'declare' methods to standardize usage. You are
strongly urged to set 0.77 as a minimum in your code.

%prep
%setup -q -n version-%{module_version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" UNINST=0
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc CHANGES README
%doc %{perl_vendorarch}/version.pod
%dir %{perl_vendorarch}/version/
%doc %{perl_vendorarch}/version/Internals.pod
%{perl_vendorarch}/auto/version/
%{perl_vendorarch}/version.pm
%{perl_vendorarch}/version/regex.pm
%{perl_vendorarch}/version/vpp.pm
%{perl_vendorarch}/version/vxs.pm
%{_mandir}/man3/version.3*
%{_mandir}/man3/version::Internals.3*

%changelog
* Sun Apr 28 2024 Paul Howarth <paul@city-fan.org> - 8:0.99.32-1
- Update to 0.9932
  - Add to_decimal and to_dotted_decimal methods
  - Add tuple and from_tuple methods

* Mon Jan 22 2024 Paul Howarth <paul@city-fan.org> - 8:0.99.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Sep 14 2023 Paul Howarth <paul@city-fan.org> - 8:0.99.30-1
- Update to 0.9930
  - Permit a colon after a vstring, thus allowing an attrlist to follow a
    version declaration on a 'class' statement (GH#20891)
  - Simplify and fix w.r.t. locale handling
  - Make tests not fail when path to dist includes "panic"

* Wed Jul 12 2023 Paul Howarth <paul@city-fan.org> - 8:0.99.29-500
- Perl 5.38 rebuild

* Fri Jun 23 2023 Paul Howarth <paul@city-fan.org> - 8:0.99.29-491
- Use SPDX-format license tag

* Wed Jun  1 2022 Paul Howarth <paul@city-fan.org> - 8:0.99.29-488
- Perl 5.36 rebuild

* Sat May 22 2021 Paul Howarth <paul@city-fan.org> - 8:0.99.29-2
- Perl 5.34 rebuild

* Sat Apr 17 2021 Paul Howarth <paul@city-fan.org> - 7:0.99.29-1
- Update to 0.9929
  - Upgrade to ppport 3.62
  - Import fix for core build warning

* Tue Sep 22 2020 Paul Howarth <paul@city-fan.org> - 7:0.99.28-1
- Update to 0.9928
  - Use separate conditionals for each MUTABLE_ macro ather than relying on
    MUTABLE_PTR
  - Silence warning for our LC_NUMERIC_LOCK macro

* Fri Aug 21 2020 Paul Howarth <paul@city-fan.org> - 7:0.99.27-1
- Update to 0.9927
  - Fix stack usage in vcmp method
  - Drop Perl 5.5 compatibility
  - Use PERL_VERSION_GE for Perl 7 compatibility
  - Fix typo in pod example for comparing versions
  - Add usage error to pure-perl vcmp
  - Quote version classname in test for 5.8 compatibility
  - Use base instead of parent for tests
  - Update ppport.h for future compatibility
- This release by LEONT → update source URL

* Fri Jun 26 2020 Paul Howarth <paul@city-fan.org> - 7:0.99.24-457
- Do not clobber memory when switching a locale (Perl GH#17054, in Perl 5.31.5)

* Mon Jun  3 2019 Paul Howarth <paul@city-fan.org> - 7:0.99.24-439
- Perl 5.30 rebuild

* Thu Jun 28 2018 Paul Howarth <paul@city-fan.org> - 6:0.99.24-2
- Perl 5.28 rebuild

* Fri Apr 20 2018 Paul Howarth <paul@city-fan.org> - 6:0.99.24-1
- Update to 0.9924
  - Revise CPAN metadata to advertise correct repo

* Mon Apr 16 2018 Paul Howarth <paul@city-fan.org> - 6:0.99.23-1
- Update to 0.9923
  - Switch master repo to GitHub
  - Add back spaces for picky C++ compilers

* Thu Apr 12 2018 Paul Howarth <paul@city-fan.org> - 6:0.99.21-1
- Update to 0.9921
  - Silence overly compulsive GCC 7 warning (CPAN RT#123477)
  - Improve docs regarding trailing zeroes (CPAN RT#122858)

* Mon Apr  9 2018 Paul Howarth <paul@city-fan.org> - 6:0.99.20-1
- Update to 0.9920
  - Core improvements to locale handling (CPAN RT#124563)
  - Backwards compatible locale handling (CPAN RT#125042)

* Wed Mar 21 2018 Paul Howarth <paul@city-fan.org> - 6:0.99.18-7
- Fix documentation about numify() and stringify() trailing zeroes
  (CPAN RT#64635, CPAN RT#122858)
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Sun Jun 11 2017 Paul Howarth <paul@city-fan.org> - 6:0.99.18-3
- Perl 5.26 rebuild

* Sat Apr 22 2017 Paul Howarth <paul@city-fan.org> - 5:0.99.18-1
- Update to 0.9918
  - Fix compiling under C++11 (CPAN RT#118846)
  - Make version::regex variables public for better reuse (CPAN RT#119669)
  - Use rel2abs for require in tests to support 5.26.0 @INC (CPAN RT#121148)
  - Move change list to standard CHANGES out of README (CPAN RT#119123)
  - Better taint handling for Perl < 5.17.2 with tests (CPAN RT#118087)
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Package is always arch-specific now

* Tue Mar  7 2017 Paul Howarth <paul@city-fan.org> - 5:0.99.17-2
- Fix FTBFS when perl is not in the minimal buildroot

* Tue May 31 2016 Paul Howarth <paul@city-fan.org> - 5:0.99.17-1
- Update to 0.9917
  - Fix version::regex captures (CPAN RT#114712)
- BR: perl-generators where available

* Sun Mar 20 2016 Paul Howarth <paul@city-fan.org> - 5:0.99.16-1
- Update to 0.9916
  - Incorporate changes from bleadperl (destined to be 5.24.0)

* Sun Mar  6 2016 Paul Howarth <paul@city-fan.org> - 5:0.99.15-1
- Update to 0.9915
  - Clarify details of Lyon Compromise: https://gist.github.com/dagolden/9559280
    - Version comparison should be done irrespective of the presence of
      underscores in the string used to initialize the version object
    - Underscore should no longer be used as a tuple separator in vstrings or
      vstring-like strings; vstrings are converted to tuples by splitting into
      *characters* (not bytes) and converting to codepoints; any elements after
      the first must be in the range 0-999
    - numify/normal should produce a standardized string representation without
      underscores
    - stringify should produce the best possible representation of the value
      used to initialize the version object; it should include underscores only
      if the initializing value was a non-vstring string
    - Floating point numbers used as initializers are converted to a decimal
      string form at the precision limit of the architecture; people will be
      warned about this in the documentation
- Simplify find commands using -empty and -delete

* Thu Feb 25 2016 Paul Howarth <paul@city-fan.org> - 5:0.99.14-1
- Update to 0.9914
  - Handle magic v-strings

* Wed Feb 17 2016 Paul Howarth <paul@city-fan.org> - 5:0.99.13-1
- Update to 0.9913
  - Backwards-incompatible changes in normal/numify/stringify
- Switch to Fedora-style package versioning, with epoch bump to favour
  standalone package

* Fri Sep 18 2015 Paul Howarth <paul@city-fan.org> - 3:0.99-613
- BR: perl-devel for XS builds

* Wed Jan 21 2015 Paul Howarth <paul@city-fan.org> - 3:0.99-612
- Update to 0.9912
  - 0.9910
    - Ensure that calling either normal() or numify() on an alpha version is
      explicitly a lossy operation, and add a warning to that effect
    - Forbid trailing bare decimal for dotted-decimal versions
    - Change heuristic in vpp to better resolve v-string versions
    - Various cleanups
    - Resolves CPAN RT#93603, 93715, 93721, 95896, 96100, 96620, 96699
    - Rewrite the parser and avoid warnings from clang (CPAN RT#101501)
  - 0.9911
    - Back out change to normal() and numify() because it breaks Module::Build
  - 0.9912
    - Complete reverting the ill-conceived alpha->normal() code (CPAN RT#101632)
    - Skip leading zeros when parsing dotted-decimal versions after the first
      element (CPAN RT#101628)
    - Minor change to report the correct rt.cpan.org URL (CPAN RT#101600)

* Thu Aug 21 2014 Paul Howarth <paul@city-fan.org> - 3:0.99-609
- Update to 0.9909
  - Compatibility release for Perl 5.20.1: apply two patches from bleadperl
    (one that shipped with 5.20.0 and one from bleadperl) so that a clean
    release can be applied prior to 5.20.1 being shipped
- Drop %%defattr, redundant since rpm 4.4

* Mon Feb  3 2014 Paul Howarth <paul@city-fan.org> - 3:0.99-608
- Update to 0.9908
  - More optimizations, also resolving CPAN RT#92438, CPAN RT#92540 and
    CPAN RT#92642

* Wed Jan 15 2014 Paul Howarth <paul@city-fan.org> - 3:0.99-607
- Update to 0.9907
  - Lots of optimizations of XS and C code and other minor tweaks
    (CPAN RT#91892, CPAN RT#91867, CPAN RT#91987, CPAN RT#92051)
- Add runtime dependency on perl(Carp)

* Mon Jan  6 2014 Paul Howarth <paul@city-fan.org> - 3:0.99-602
- Update to 0.9906
  - Major rewrite of XS code to permit easier inclusion in core Perl; XS code
    is no longer supported for any Perl < v5.10, although the pure Perl code
    still works going back to 5.005_04
  - In addition, the version::vpp class is now completely independent and can
    be use'd exactly like the base version class; it is still better to use the
    base class for compatibility purposes
  - Applied C89 compatibility fix to vxs.inc
  - Added back support for $version::LAX and $version::STRICT
    (CPAN RT#88458, CPAN RT#91858, CPAN RT#91868)
- Drop workaround for CPAN RT#76813, no longer needed
- Package is noarch for Perl < v5.10
- Use UNINST=0 to work around issues with 5.10 < Perl < 5.12

* Tue Sep  3 2013 Paul Howarth <paul@city-fan.org> - 3:0.99-601
- Update to 0.9904
  - Final upstream changes from bleadperl, resolving CPAN RT#87513 and
    CPAN RT#87983
- BR: perl(Module::CoreList) ≥ 2.76 for the test suite

* Sun Aug 18 2013 Paul Howarth <paul@city-fan.org> - 3:0.99-600
- Update to 0.9903
  - Upstream test changes from bleadperl
  - Include version::vpp even when installing XS version
  - Subtle locale test changes
- Specify all dependencies
- Filter provides of charstar and version::vpp

* Wed Mar  6 2013 Paul Howarth <paul@city-fan.org> - 3:0.99-500
- update to 0.9902
  - Upstream test changes from bleadperl
  - Support env PERL_ONLY=1 as well as --perl-only (CPAN RT#83509)
  - version::new with no arguments read past the end of the stack
    (CPAN RT#81085)

* Tue Sep 11 2012 Paul Howarth <paul@city-fan.org> - 3:0.99-242
- Update to 0.9901
  - Fix problem with short floating point alpha versions (e.g. 0.52_0)
    (CPAN RT#79259)
- Workaround for CPAN RT#76813 not accepted upstream, so apply it only where
  needed (on perl 5.8.6)

* Wed Aug 29 2012 Paul Howarth <paul@city-fan.org> - 3:0.99-241
- Improve %%description
- Classify buildreqs by usage
- BR: at least version 0.45 of perl(Test::More)
- BR: perl(base), perl(File::Spec), perl(File::Temp) ≥ 0.13,
  perl(IO::Handle), perl(lib) and perl(Test::Harness)

* Tue Jun 12 2012 Paul Howarth <paul@city-fan.org> - 3:0.99-3
- Perl 5.16 rebuild

* Fri Apr 27 2012 Paul Howarth <paul@city-fan.org> - 3:0.99-2
- Apply tweak from Father Chrysostomos for CPAN RT#76813

* Fri Apr 27 2012 Paul Howarth <paul@city-fan.org> - 3:0.99-1
- Update to 0.99
  - Missed a patch from bleadperl
- Update patch for CPAN RT#76813, and only apply it for FC-4.i386

* Thu Apr 26 2012 Paul Howarth <paul@city-fan.org> - 3:0.98-1
- Update to 0.98
  - Apply patch from core Perl to prevent overflow with ludicrous versions
- BR: perl(Data::Dumper)
- Add patch to skip tests that fail with Perl < 5.8.8 (CPAN RT#76813)

* Mon Mar 26 2012 Paul Howarth <paul@city-fan.org> - 3:0.97-1
- Update to 0.97
  - Minor tweak to locale test to skip if no locales are installed at all
- Don't need to remove empty directories from buildroot
- Drop support for distributions prior to FC-3:
  - Don't need to define %%{perl_vendorarch}
  - Use %%{_fixperms} macro rather than our own chmod incantation
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Mon Feb  6 2012 Paul Howarth <paul@city-fan.org> - 3:0.96-1
- Update to 0.96
  - Merge in upstream changes from bleadperl
  - Improved locale tests

* Sat Nov 12 2011 Paul Howarth <paul@city-fan.org> - 3:0.95-1
- Update to 0.95
  - Restore compatibility in replacement UNIVERSAL::VERSION with the behaviour
    of Perl 5.14.x, essentially by reverting the changes in Perl RT#95544
  - Fix segfault error with strings that begin with 'v', especially the string
    'version' (CPAN RT#72365)
  - Forbid all math operations on version objects in base class; this was
    already the case for XS code but the pure Perl was lacking (CPAN RT#70950)

* Sun Aug 21 2011 Paul Howarth <paul@city-fan.org> - 3:0.94-1
- Update to 0.94
  - Prevent DIE handlers in user code from tripping up loading version, and
    add test to ensure that handling is correct (CPAN RT#70260)
  - Tweak POD and add LICENSE to Makefile.PL (CPAN RT#70120)

* Thu Jul 28 2011 Paul Howarth <paul@city-fan.org> - 3:0.93-1
- Update to 0.93
  - Fix problem with UNIVERSAL::VERSION noted by Father Chrysostomos
- Filter version::vxs provide in distributions with rpm 4.9 onwards (#633775)

* Wed Jul 27 2011 Paul Howarth <paul@city-fan.org> - 3:0.92-1
- Update to 0.92
  - Forbid negative versions; make replacement UNIVERSAL::VERSION return the
    original $VERSION scalar if called without a requested version
    (Perl RT#95544)
  - Rewrite code so that we just override all subs for Perl ≥ 5.9.0 (when
    version.pm was added to the core)

* Sun Jul 10 2011 Paul Howarth <paul@city-fan.org> - 3:0.91-3
- Rebuild for perl 5.14.1 in Rawhide

* Sun Jul 10 2011 Paul Howarth <paul@city-fan.org> - 3:0.91-2
- Fix dist tag for CentOS 6 and Scientific Linux

* Mon Jun  6 2011 Paul Howarth <paul@city-fan.org> - 3:0.91-1
- Update to 0.91
  - Fix compilation/linking on Strawberry Perl (CPAN RT#68611)

* Thu Jun  2 2011 Paul Howarth <paul@city-fan.org> - 3:0.90-1
- Update to 0.90
  - Make all tests pass even with older Test::More (CPAN RT#68588)
- Drop upstreamed patch for test suite

* Tue May 31 2011 Paul Howarth <paul@city-fan.org> - 3:0.89-1
- Update to 0.89
  - Remove discussion of Build.PL (no longer supported) from README
    (CPAN RT#66206)
  - Change behaviour of pure Perl qv/declare to match the core/XS behaviour: do
    not use parent's new() class for derived classes; this breaks
    encapsulation but it's justified because qv/declare is a very specific
    thing that shouldn't be casually overridden (unless you do it directly in
    the subclass)
- Fix test suite for use with old Test::More versions
- Nobody else likes macros for commands

* Thu Jan  6 2011 Paul Howarth <paul@city-fan.org> - 3:0.88-2
- Drop exclusion of version::Internals documentation from EL-6 package now
  that #597982 is resolved

* Tue Dec 21 2010 Paul Howarth <paul@city-fan.org> - 3:0.88-1
- update to 0.88
  - Fix Makefile.PL to make Strawberry Perl happy (CPAN RT#63991)

* Fri Dec 10 2010 Paul Howarth <paul@city-fan.org> - 3:0.87-1
- Update to 0.87
  - remove support for Build.PL to keep from introducing circular dependencies

* Sat Nov 27 2010 Paul Howarth <paul@city-fan.org> - 3:0.86-1
- Update to 0.86
  - Fix export of is_strict/is_lax and add strict/lax tests from core

* Tue Oct 26 2010 Paul Howarth <paul@city-fan.org> - 3:0.85-1
- Update to 0.85
  - Don't ship MYMETA.yml file in distro

* Mon Oct 25 2010 Paul Howarth <paul@city-fan.org> - 3:0.84-1
- Update to 0.84
  - Restore public API broken by 0.83

* Mon Oct 18 2010 Paul Howarth <paul@city-fan.org> - 3:0.83-1
- Update to 0.83
  - Install into correct post-@INC reordering location (site rather than core)
  - Build correctly with Perl releases in the 5.9.{3..5} and 5.11.{0..4} ranges
  - Merge changes from bleadperl
  - Change vverify API and simplify usage
  - Fix up support for non-magical v-strings in 5.6.2-5.8.0
  - XS code finally passes on all supported Perl releases!

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 3:0.82-3
- Rebuild for perl 5.12.1 in Rawhide

* Fri May 28 2010 Paul Howarth <paul@city-fan.org> - 3:0.82-2
- Fix dist tag for RHEL-6 Beta
- Exclude version::Internals documentation from EL-6 package (#549306)

* Tue Apr 20 2010 Paul Howarth <paul@city-fan.org> - 3:0.82-1
- Update to 0.82
  - Full version object support
  - Patch for bug in Perl 5.10.0 core version support
  - Sync with Perl 5.12.0
  - Vastly improved regex definitions
  - Completely rewrite pure Perl code to operate exactly like the XS code

* Thu Jan 21 2010 Paul Howarth <paul@city-fan.org> - 3:0.80-1
- Update to 0.80 (assertion patch upstreamed - CPAN RT#53594)

* Mon Jan 11 2010 Paul Howarth <paul@city-fan.org> - 3:0.79-1
- Update to 0.79 (match code that will be in Perl 5.12, but no API changes)
- Add patch to fix compile errors due to bogus assertions (CPAN RT#53594)

* Wed Dec 23 2009 Paul Howarth <paul@city-fan.org> - 3:0.78-3
- Include version::Internals documentation again

* Mon Dec 21 2009 Paul Howarth <paul@city-fan.org> - 3:0.78-2
- Temporarily exclude version::Internals documentation due to conflict with
  Rawhide perl (#549306)
- dist tag for Rawhide no longer needs special-casing

* Fri Oct 23 2009 Paul Howarth <paul@city-fan.org> - 3:0.78-1
- Update to 0.78
  - Improve v-string heuristics for Perl 5.8.0 and earlier (CPAN RT#50347)
  - DTRT when installing on top of Perl >= 5.10.0 releases (CPAN RT#49667)

* Tue Sep  8 2009 Paul Howarth <paul@city-fan.org> - 3:0.77-3
- Update to 0.7702
  - Fix inconsistency between pure-perl and XS versions (CPAN RT#49348)
- Mark pod files as %%doc
- Use %%{?perl_default_filter} to remove shared object provides

* Wed Jul 29 2009 Paul Howarth <paul@city-fan.org> - 3:0.77-2
- Update to 0.7701
- Drop failing test patch (fixed upstream, CPAN RT#48268)

* Mon Jul 27 2009 Paul Howarth <paul@city-fan.org> - 3:0.77-1
- Update to 0.77 (see Changes for details)
- Add patch to skip failing test on Fedora, RHEL < 5 (perl < 5.8.8)
- Run tests again in verbose mode if they fail

* Mon Apr  6 2009 Paul Howarth <paul@city-fan.org> - 3:0.76-1
- Bump epoch to 3 as per Fedora version

* Fri Mar  6 2009 Paul Howarth <paul@city-fan.org> - 0.76-2
- Filter out unwanted provides for perl shared objects
- Update to SLES-compatible dist tag macros

* Fri Oct 31 2008 Paul Howarth <paul@city-fan.org> - 0.76-1
- Update to 0.76
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- Buildreq Test::More

* Wed Mar 21 2007 Paul Howarth <paul@city-fan.org> - 0.71-1
- Update to 0.71
- Fix dist tag for development builds and Fedora 7 onwards
- Fix argument order for find with -depth
- Buildreq perl(ExtUtils::MakeMaker) instead of perl(Module::Build)
- Shellbang fixes no longer needed

* Mon Jul 17 2006 Paul Howarth <paul@city-fan.org> - 0.64-2
- Import from Fedora Extras
- Remove spurious shellbangs to shut rpmlint up

* Fri Jul  7 2006 Tom "spot" Callaway <tcallawa@redhat.com> - 0.64-1
- Bump to 0.64

* Fri Mar 31 2006 Tom "spot" Callaway <tcallawa@redhat.com> - 0.59-1
- Bump to 0.59

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> - 0.57-1
- Bump to 0.57

* Mon Jan  9 2006 Tom "spot" Callaway <tcallawa@redhat.com> - 0.51-3
- One sed line only, not global, using __perl

* Sun Jan  8 2006 Tom "spot" Callaway <tcallawa@redhat.com> - 0.51-2
- Clean up scripty bits of some .pm files

* Fri Jan  6 2006 Tom "spot" Callaway <tcallawa@redhat.com> - 0.51-1
- Bump to 0.51
- Pod file is doc

* Fri Jan  6 2006 Tom "spot" Callaway <tcallawa@redhat.com> - 0.50-2
- Don't pass optflags twice
- Remove .bs files

* Thu Jan  5 2006 Tom "spot" Callaway <tcallawa@redhat.com> - 0.50-1
- Initial package for Fedora Extras
